{% extends "transport/base.html" %}
{% load transport_utils %}

{% block title %}Transports du {{ jour|date_transp }}{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'gestion' %}">Transports</a></li>
<li class="breadcrumb-item active" aria-current="page">Transports du {{ jour|date_transp }}</li>
{% endblock %}

{% block content %}
{% for chauffeur, data in chauffeurs.items %}
    <div class="pb-2">
        <div><a href="{% url 'benevole-transports' chauffeur.pk %}">{{ chauffeur }}</a> ({{ chauffeur.localite }})</div>
        <div class="timeline border">&nbsp;
            {% for transp in data.transports %}
                <span class="timeline-transp statut{{ transp.statut }}" style="{{ transp|timeline_style }}"
                      title="{{ transp.client }}, {{ transp.adresse_depart.localite }} ({{ transp.heure_depart.time }}) -
            {{ transp.destination.localite }} ({{ transp.heure_depart_retour.time }})" data-bs-toggle="tooltip"
                      >&nbsp;</span>
            {% endfor %}
            {% for dispo in data.dispos %}
                <span class="timeline-dispo dispo-{{ dispo.cancelled|yesno:'cancelled,ok' }}" style="{{ dispo|timeline_style }}"
                      title="Disponibilité de {{ dispo.debut|localtime }} à {{ dispo.fin|localtime }}" data-bs-toggle="tooltip"
                      >&nbsp;</span>
            {% endfor %}
        </div>
    </div>
{% endfor %}

{% for chauffeur, data in chauffeurs_dispos.items %}
    {% if forloop.first %}<h4 class="mt-3">Chauffeurs avec disponibilités, mais sans transport</h4>{% endif %}
    <div class="pb-2">
        <div><a href="{% url 'benevole-transports' chauffeur.pk %}">{{ chauffeur }}</a> ({{ chauffeur.localite }})</div>
        <div class="timeline border">&nbsp;
            {% for dispo in data.dispos %}
                <span class="timeline-dispo dispo-{{ dispo.cancelled|yesno:'cancelled,ok' }}" style="{{ dispo|timeline_style }}"
                      title="Disponibilité de {{ dispo.debut|localtime }} à {{ dispo.fin|localtime }}" data-bs-toggle="tooltip"
                      >&nbsp;</span>
            {% endfor %}
        </div>
    </div>
{% endfor %}

{% for transp in non_attribues %}
    {% if forloop.first %}<h2>Non attribués</h2>{% endif %}
    <div class="pb-2">
        <div>
            {{ transp.client }}, {{ transp.adresse_depart.localite }} ({{ transp.heure_depart.time }}) -
            {{ transp.destination.localite }} ({{ transp.heure_depart_retour.time }})
        </div>
        <div class="timeline border">&nbsp;
            <span class="timeline-transp" style="{{ transp|timeline_style }}">&nbsp;</span>        
        </div>
    </div>
{% endfor %}

{% endblock %}
